package cn.com.ctop.kuaishou.modules.ai.enums;

/**
 * @author syh
 */
public enum KuaishouCreativeAdsenceTypeEnum {
    /**
     * 快手广告组投放资源位置
     */
    KUAISHOU_CREATIVE_ADSENCE_TYPE_ENUM_SELECT(1,"优选"),
    KUAISHOU_CREATIVE_ADSENCE_TYPE_ENUM_STICKY(3,"便利贴"),
    KUAISHOU_CREATIVE_ADSENCE_TYPE_ENUM_ALLIANCE(5,"联盟"),
    KUAISHOU_CREATIVE_ADSENCE_TYPE_ENUM_SCREEN(6,"上下滑"),
    KUAISHOU_CREATIVE_ADSENCE_TYPE_ENUM_FEEDS(7,"信息流"),
    KUAISHOU_CREATIVE_ADSENCE_TYPE_ENUM_ALLIANCE_SCENCE(10,"联盟场景");

    /**
     * 类型
     */
    private Integer type;
    /**
     * 名称
     */
    private String name;

    KuaishouCreativeAdsenceTypeEnum(Integer type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getNameByType(Integer type) {
        for (KuaishouCreativeAdsenceTypeEnum createTypeEnum : KuaishouCreativeAdsenceTypeEnum.values()) {
            if (createTypeEnum.getType().equals(type)) {
                return createTypeEnum.getName();
            }
        }
        return "";
    }


    public Integer getType() {
        return this.type;
    }

    public String getName() {
        return this.name;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setName(String value) {
        this.name = value;
    }
}
